Subject: Re: bug#19831: 25.0.50; Can't build emacs 25.0.5 with libpng16 support (only libpng15)

From: [email-masked] (Tory S. Anderson)
Date: Tue, 10 Feb 2015 17:40:37 -0500

I see: 

$ libpng-config --cflags
-I/home/torys/anaconda/include/libpng15

So, I uninstalled libpng and reinstalled it, carefully using the package and following the directions from http://www.libpng.org/pub/png/libpng.html
And yet, to my frustration, afterwards I STILL received: 

$ libpng-config --cflags
-I/home/torys/anaconda/include/libpng15

I can't seem to get around this. Any suggestions would be appreciated. 

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked] (Tory S. Anderson)
>> Date: Tue, 10 Feb 2015 12:57:53 -0500
>> 
>> 
>> I have libpng16 (and 15) installed with dev files; my libpng.so points to version 16. But emacs 25.0.5 refuses to work with 16. Although the config log is full of references to lpng16, it seems to choose to load with lib15 (and won't build with png support if I don't make v 15 available). This is breaking other programs that expect to be using the latest libpng on the computer.
>
> What does this shell command display:
>
>   libpng-config --cflags
>
> It looks like this is what's responsible for the fact that Emacs
> decides you have libpng15 installed.  So I think the way you installed
> libpng16 is missing the update of libpng-config.